package com.nikdeombartnik.linkitonelamp;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLConnection;

public class MainActivity extends Activity {
    ImageView button;
    String info, link;
    TextView settings;
    private static final String PREFERENCES_NAME = "myPreferences";
    private static final String PREFERENCES_LINK = "link";
    private SharedPreferences preferences;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        preferences = getSharedPreferences(PREFERENCES_NAME, Activity.MODE_PRIVATE);
        link = preferences.getString(PREFERENCES_LINK, "");
        button = (ImageView)findViewById(R.id.imageView);
        settings = (TextView)findViewById(R.id.textView2);

        button.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {


                Switch sw = new Switch();
                sw.execute(null, null, null);

            }
        });




        settings.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {

                Intent myIntent = new Intent(MainActivity.this, Settings.class);
                startActivity(myIntent);

            }
        });

    }


    public void set_on(){button.setImageResource(R.drawable.on);}

    public void set_off(){
        button.setImageResource(R.drawable.off);
    }




    class Switch extends AsyncTask<Void, Void, Void> {

        @Override
        protected Void doInBackground(Void... params) {


            try {
                URL url = new URL("http", link, 80, "");

                URLConnection conn = url.openConnection();
                conn.setDoInput(true);
                conn.connect();
                StringBuilder sb = new StringBuilder();
                InputStreamReader isr = new InputStreamReader(conn.getInputStream());
                BufferedReader in = new BufferedReader(isr);
                String line;

                while ((line = in.readLine()) != null) {
                    sb.append(line);
                }
                in.close();
                info = (sb.toString());



            } catch (Exception e) {
                e.printStackTrace();


            }
            return null;

        }


        @Override
        protected void onPostExecute(Void nothing) {
            if (info.equals("<!DOCTYPE HTML><html>ON</html>")) {
                set_on();
            } else {
                set_off();
            }
        }


    }

}

